/**
 * 演示程序当前的 “注册/登录” 等操作，是基于 “本地存储” 完成的
 * 当您要参考这个演示程序进行相关 app 的开发时，
 * 请注意将相关方法调整成 “基于服务端Service” 的实现。
 **/
(function($, owner) {
    /**
     * 获取设备信息(激活接口)
     * cid||type||ts||nettype||clientip||osver||appver||width||height||brand||model||device||idfa||imei||mac||lang||number||updateappver
     */
    owner.deviceInfo = function() {
        var OSName = getOSName() == 'Android' ? 1 : (getOSName() == 'iOS' ? 2 : 0);
        var nowTime = getNow();
        var network = getNetwork();
        var clientip = getIp();
        var OSVersion = getOSVersion();
        var appVersion = 0;

        plus.runtime.getProperty(plus.runtime.appid, function(inf) {
            appVersion = inf.version;
            plus.storage.setItem("appVersion", inf.version);
        });

        var Width = getWidth();
        var height = getHeight();

        var vendor = getVendor();
        var model = getModel();
        var device = getUUID() ? getUUID() : (getIMEI() ? getIMEI() : 'none_' + new Date().getTime());
        var idfa = '';
        var imei = getIMEI();
        var mac = getMac();
        var lang = getOSLang();
        var number = getNumber();

        //      console.log("appVersion getItem = " + plus.storage.getItem("appVersion"))
        var token = cid + "||" + OSName + "||" + nowTime + "||" + network + "||" + clientip + "||" + OSVersion + "||" + appVersion + "||" + Width + "||" + height + "||" + vendor + "||" + model + "||" + device + "||" + idfa + "||" + imei + "||" + mac + "||" + lang + "||" + number + "||" + app_updateappver + "||" + agentAccount;
        console.log("index activate token = " + token);
        token = encrypt(token);
        plus.storage.removeItem("deviceID");

        console.log("url = " + apiUrl + "p-activate.html?token=" + token)

        mui.ajax({
            type: "post",
            url: apiUrl + "p-activate.html",
            async: false,
            data: {
                token: token
            },
            dataType: "jsonp",
            success: function(myData) {
                myData = cryptFlag == 1 ? decrypt(myData) : myData;
                myData = JSON.parse(myData);
                console.log("deviceid = " + myData['data']['deviceid'])
                if(myData['code'] == 1 && myData['data']['deviceid']) {
                    plus.storage.setItem("deviceID", myData['data']['deviceid']);
                    //                  plus.storage.setItem("app_updateappver", myData['data']['updateappver']);
                    //判断是否有更新
                    if(OSName == 1) {
                        if(parseInt(myData['data']['updateappver']) > parseInt(app_updateappver)) {
                            //判断是否强更
                            if(myData['data']['updateflag'] == 3) {
                                mui.alert('发现最新版本：V' + myData['data']['appver'], '版本更新', function() {
                                    plus.runtime.openURL(myData['data']['update']['updateurl']);
                                    plus.runtime.quit();
                                });
                            } else if(myData['data']['updateflag'] == 2) {
                                var btnArray = ['确定', '取消'];
                                mui.confirm('发现最新版本：V' + myData['data']['appver'] + ',是否更新', '发现最新版本', btnArray, function(z) {
                                    if(z.index == 0) {
                                        plus.runtime.openURL(myData['data']['update']['updateurl']);
                                    } else {
                                        return;
                                    }
                                });
                            }
                        }
                    } else if(OSName == 2) {
                        plus.runtime.getProperty(plus.runtime.appid, function(inf) {
                            ver = inf.version;
                            $.ajax({
                                type: "get",
                                dataType: 'json',
                                url: "https://itunes.apple.com/lookup?id=1275139634", //获取当前上架APPStore版本信息 
                                data: {
                                    id: 1275139634
                                },
                                contentType: 'application/x-www-form-urlencoded;charset=UTF-8',
                                success: function(iOS_data) {
                                    console.log("version = " + iOS_data['results'][0]['version'])
                                    if(iOS_data['results'][0]['version'] > ver) {
                                        //判断是否强更
                                        if(myData['data']['updateflag'] == 3) {
                                            mui.alert('发现最新版本：V' + myData['data']['appver'], '版本更新', function() {
                                                plus.runtime.openURL('https://itunes.apple.com/cn/app/san-gu-hui/id1275139634?mt=8');
                                                plus.nativeUI.showWaiting("请更新版本后操作");
                                                return;
                                            });
                                        } else if(myData['data']['updateflag'] == 2) {
                                            var btnArray = ['确定', '取消'];
                                            mui.confirm('发现新版本:V' + iOS_data['results'][0]['version'] + ',是否更新', '发现最新版本', btnArray, function(z) {
                                                if(z.index == 0) {
                                                    plus.runtime.openURL('https://itunes.apple.com/cn/app/san-gu-hui/id1275139634?mt=8');
                                                } else {
                                                    return;
                                                }
                                            });
                                        }
                                    }
                                }
                            });
                        });

                    }
                } else {
                    plus.nativeUI.toast(myData['msg']);
                }
            },
            error: function() {
                plus.nativeUI.toast("数据错误");
            }
        });
    }

}(mui, window.activate = {}));