/**
 * JS接口
 **/
(function($, owner) {
    /**
     * 跳转地址
     */
    owner.goWebUrl = function(url, iidd, gourl) {
//      plus.webview.close(url);
        mui.openWindow({
            url: url + '.html',
            id: url+ '.html',
//          preload: true,
            show: {
                aniShow: 'pop-in'
            },
            styles: {
                popGesture: 'hide'
            },
            waiting: {
                autoShow: false
            },
            extras: {
                iidd: iidd,
                gourl: gourl
            }
        });
    }

    /**
     * 判断用户是否登录
     */
    owner.checkUserLogin = function() {
        var userAccount = plus.storage.getItem("user_account");
        if(!userAccount) {
            app.goWebUrl('login');
            return false;
        }
         return true;
    }

    /**
     * 获取设备ID
     */
    owner.getDeviceID = function() {
        var deviceID = plus.storage.getItem("deviceID");
        if(!deviceID) {
            activate.deviceInfo();
        }
        return deviceID;
    }

    /**
     * 获取公共参数
     * cid||type||ts||nettype||clientip||deviceID||
     */
    owner.commonParam = function() {
        var type = getOSName() == 'Android' ? 1 : (getOSName() == 'iOS' ? 2 : 0);
        var nowTime = getNow();
        var network = getNetwork();
        var clientip = getIp();
        var deviceID = plus.storage.getItem("deviceID");

        var token = cid + "||" + type + "||" + nowTime + "||" + network + "||" + clientip + "||" + deviceID + "||";
        //      console.log("commonParam = " + token)
        return token;
    }

    owner.createState = function(name, callback) {
        var state = owner.getState();
        state.account = name;
        state.token = "token123456789";
        owner.setState(state);
        return callback();
    };

    /**
     * 新用户注册
     * cid||type||ts||nettype||clientip||deviceid||regtype||account||passwd||code||sourceflag
     **/
    owner.register = function(regInfo, callback) {

        callback = callback || $.noop;
        regInfo = regInfo || {};
        regInfo.account = regInfo.account || '';
        regInfo.password = regInfo.password || '';
        if(regInfo.account.length < 5) {
            return callback('用户名最短需要 5 个字符');
        }
        if(regInfo.password.length < 6) {
            return callback('密码最短需要 6 个字符');
        }

        var users = JSON.parse(localStorage.getItem('$users') || '[]');
        users.push(regInfo);
        localStorage.setItem('$users', JSON.stringify(users));
        return callback();
    };

    /**
     * 获取当前状态
     **/
    owner.getState = function() {
        var stateText = localStorage.getItem('$state') || "{}";
        return JSON.parse(stateText);
    };

    /**
     * 设置当前状态
     **/
    owner.setState = function(state) {
        state = state || {};
        localStorage.setItem('$state', JSON.stringify(state));
        //var settings = owner.getSettings();
        //settings.gestures = '';
        //owner.setSettings(settings);
    };

    var checkEmail = function(email) {
        email = email || '';
        return(email.length > 3 && email.indexOf('@') > -1);
    };

    /**
     * 找回密码
     **/
    owner.forgetPassword = function(email, callback) {
        callback = callback || $.noop;
        if(!checkEmail(email)) {
            return callback('邮箱地址不合法');
        }
        return callback(null, '新的随机密码已经发送到您的邮箱，请查收邮件。');
    };

    /**
     * 获取应用本地配置
     **/
    owner.setSettings = function(settings) {
        settings = settings || {};
        localStorage.setItem('$settings', JSON.stringify(settings));
    }

    /**
     * 设置应用本地配置
     **/
    owner.getSettings = function() {
        var settingsText = localStorage.getItem('$settings') || "{}";
        console.log(settingsText);
        return JSON.parse(settingsText);
    }
    /**
     * 获取本地是否安装客户端
     **/
    owner.isInstalled = function(id) {
        if(id === 'qihoo' && mui.os.plus) {
            return true;
        }
        if(mui.os.android) {
            var main = plus.android.runtimeMainActivity();
            var packageManager = main.getPackageManager();
            var PackageManager = plus.android.importClass(packageManager)
            var packageName = {
                "qq": "com.tencent.mobileqq",
                "weixin": "com.tencent.mm",
                "sinaweibo": "com.sina.weibo"
            }
            try {
                return packageManager.getPackageInfo(packageName[id], PackageManager.GET_ACTIVITIES);
            } catch(e) {}
        } else {
            switch(id) {
                case "qq":
                    var TencentOAuth = plus.ios.import("TencentOAuth");
                    return TencentOAuth.iphoneQQInstalled();
                case "weixin":
                    var WXApi = plus.ios.import("WXApi");
                    return WXApi.isWXAppInstalled()
                case "sinaweibo":
                    var SinaAPI = plus.ios.import("WeiboSDK");
                    return SinaAPI.isWeiboAppInstalled()
                default:
                    break;
            }
        }
    }

    /**
     * 发送验证码
     * cid||type||ts||nettype||clientip||deviceid|codetype|account
     */
    owner.sendCode = function(info) {
        if(!info) {
            plus.nativeUI.toast('请输入要发送的手机号');
            return;
        }

        var token = app.commonParam();
        token = token + 1 + '||' + info;
        token = encrypt(token);
        console.log(apiUrl + "p-sendcode.html?token=" + token)
        mui.ajax({
            type: "post",
            url: apiUrl + "p-sendcode.html",
            async: false,
            data: {
                token: token
            },
            dataType: "jsonp",
            success: function(myData) {
                myData = cryptFlag == 1 ? decrypt(myData) : myData;
                myData = JSON.parse(myData);
                if(myData['code'] == 1) {
                    plus.storage.setItem("sendCode", myData['data']['code']);
                    console.log("sendcode code = " + myData['data']['code'] + " -- data1111 = " + JSON.stringify(myData['data']))
                    plus.nativeUI.toast("验证码发送成功");
                } else {
                    plus.nativeUI.toast(myData['msg']);
                    return;
                }
            },
            error: function() {
                plus.nativeUI.toast("数据错误");
                return;
            }
        });

    }

    /**
     * 修改登录密码
     */
    owner.editPwd = function(info) {

    }

    /**
     * 修改用户信息
     */
    owner.editUser = function(info) {

    }

    /**
     * 意见反馈
     */
    owner.feedback = function(info) {

    }

    /**
     * 版本检查更新
     */
    owner.checkUpdate = function(info) {

    }

    /**
     * 绑定设备
     */
    owner.bindInfo = function(info) {

    }
}(mui, window.app = {}));