/**
 * 获取当前时间(秒) 
 */
function getNow() {
    var nowTime = new Date().getTime();
    nowTime = JSON.stringify(nowTime);
    return nowTime.substr(0, 10);
}

/**
 * 获取本地应用资源版本号
 */
function getAppVersion() {
    plus.runtime.getProperty(plus.runtime.appid, function(inf) {
        return inf.version;
    });
}

/**
 * 设备的国际移动设备身份码
 */
function getIMEI() {
    return plus.device.imei;
}

/**
 * 设备的国际移动用户识别码
 */
function getIMSI() {
    return plus.device.imsi;
}

/**
 * 设备的型号
 */
function getModel() {
    return plus.device.model;
}

/**
 * 设备的生产厂商
 */
function getVendor() {
    return plus.device.vendor;
}

/**
 * 设备的唯一标识
 */
function getUUID() {
    return plus.device.uuid;
}

/**
 * 系统语言信息
 */
function getOSLang() {
    return plus.os.language;
}

/**
 * 系统版本信息
 */
function getOSVersion() {
    return plus.os.version;
}

/**
 * 系统的名称
 */
function getOSName() {
    return plus.os.name;
}

/**
 * 系统的供应商信息
 */
function getOSVendor() {
    return plus.os.vendor;
}

/**
 * 获取手机号
 */
function getNumber() {
    return '';
}

/**
 * 获取手机CPU信息
 */
function getCpuInfo() {
    var cpuInfo = '/proc/cpuinfo';
    var temp = '',
        cpuHardware;
    var fileReader = plus.android.importClass("java.io.FileReader");
    var bufferedReader = plus.android.importClass("java.io.BufferedReader");
    var FileReader = new fileReader(cpuInfo);
    var BufferedReader = new bufferedReader(FileReader, 8192);
    while((temp = BufferedReader.readLine()) != null) {
        if(-1 != temp.indexOf('Hardware')) {
            cpuHardware = temp.substr(parseInt(temp.indexOf(":")) + 1);
        }
    }
    return cpuHardware;
}

/**
 * 设备屏幕高度分辨率
 */
function getWidth() {
    return plus.screen.resolutionWidth * plus.screen.scale;
}

/**
 * 设备屏幕宽度分辨率
 */
function getHeight() {
    return plus.screen.resolutionHeight * plus.screen.scale;
}

/**
 * 设备网络情况
 */
function getNetwork() {
    var types = {};
    types[plus.networkinfo.CONNECTION_UNKNOW] = "Unknown";
    types[plus.networkinfo.CONNECTION_NONE] = "0";
    types[plus.networkinfo.CONNECTION_ETHERNET] = "Ethernet";
    types[plus.networkinfo.CONNECTION_WIFI] = "1";
    types[plus.networkinfo.CONNECTION_CELL2G] = "2";
    types[plus.networkinfo.CONNECTION_CELL3G] = "3";
    types[plus.networkinfo.CONNECTION_CELL4G] = "4";
    return types[plus.networkinfo.getCurrentType()];
}

/**
 * 手机MAC地址
 */
function getMac() {
    var mac = "000-000-000-000";
    if(plus.os.name == "Android") {
        var Context = plus.android.importClass("android.content.Context");
        var WifiManager = plus.android.importClass("android.net.wifi.WifiManager");
        var wifiManager = plus.android.runtimeMainActivity().getSystemService(Context.WIFI_SERVICE);
        var WifiInfo = plus.android.importClass("android.net.wifi.WifiInfo");
        var wifiInfo = wifiManager.getConnectionInfo();
        mac = wifiInfo.getMacAddress();
    }
    return mac;
}

/**
 * 获取IP地址
 */
function getIp() {
    var ip = "127.0.0.1";
    if(plus.os.name == "Android") {
        //WifiManager
        var Context = plus.android.importClass("android.content.Context");
        var WifiManager = plus.android.importClass("android.net.wifi.WifiManager");
        var wifiManager = plus.android.runtimeMainActivity().getSystemService(Context.WIFI_SERVICE);
        var WifiInfo = plus.android.importClass("android.net.wifi.WifiInfo");
        var wifiInfo = wifiManager.getConnectionInfo();
        ip = intToIp(wifiInfo.getIpAddress());
    } else if(plus.os.name == "iOS") {

    }
    return ip;
}

function intToIp(i) {　　
    return(i & 0xFF) + "." + ((i >> 8) & 0xFF) + "." + ((i >> 16) & 0xFF) + "." + ((i >> 24) & 0xFF);
}