define(function(require, exports, module) {
	"use strict";
	//每一个页面都要引入的工具类
	var CommonTools = require('CommonTools_Core');
	//window操作
	var WindowTools = require('WindowTools_Core');
	//每一个页面都要引入的工具类
	// initready 要在所有变量初始化做完毕后
	CommonTools.initReady(initData);

	function initData(isPlus) {
		CommonTools.lockOrientation(true);
		CommonTools.importFile([], function() {
			initDefault()
		})
	}

	function initDefault() {

		//mui初始化
		mui.init({});

		mui.plusReady(function() {
			//设置竖屏
			plus.screen.lockOrientation("portrait-primary");
			var photoVal = "";

			document.getElementById('userImg').addEventListener('tap', function() {
				if(mui.os.plus) {
					var a = [{
						title: '拍照'
					}, {
						title: '从手机相册选择'
					}];
					plus.nativeUI.actionSheet({
						title: '意见反馈',
						cancel: '取消',
						buttons: a
					}, function(b) {
						switch(b.index) {
							case 0:
								break;
							case 1:
								//拍照
								getImages();
								break;
							case 2:
								//打开相册
								galleryImages();
								break;
							default:
								break;
						}
					}, false);
				}
			}, false);

			document.getElementById('btnSubmit').addEventListener('tap', function() {
				var typeVal = document.getElementsByName('feedbacktype');
				var contentVal = document.getElementById('content');

				var checkVal = null;
				for(i = 0; i < typeVal.length; i++) {
					if(typeVal[i].checked) {
						checkVal = typeVal[i].value;
					}
				}
				console.log("typeVal = " + checkVal)

				if(!checkVal) {
					plus.nativeUI.toast("请选择反馈的类型");
					return;
				}
				if(!contentVal.value.trim()) {
					plus.nativeUI.toast("请描述下您的问题");
					return;
				}

				//cid||type||ts||nettype||clientip||deviceid||account||typeid||content||appver||sourceflag

				var token = app.commonParam();
				token = token + plus.storage.getItem("user_account") + '||' + checkVal + '||' + contentVal.value.trim() + '||' + plus.storage.getItem("appVersion") + '||2';
				token = encrypt(token);
				console.log(apiUrl + "p-feedback.html?token=" + token)
				console.log("photoVal = " + photoVal)

				mui.ajax({
					type: "post",
					url: apiUrl + "p-feedback.html",
					async: false,
					data: {
						token: token,
						photopath: photoVal
					},
					dataType: "jsonp",
					success: function(myData) {
						myData = cryptFlag == 1 ? decrypt(myData) : myData;
						myData = JSON.parse(myData);
						if(myData['code'] == 1) {
							plus.nativeUI.toast("提交意见反馈成功");
							app.goWebUrl('my');
						} else {
							plus.nativeUI.toast(myData['msg']);
							return;
						}
					},
					error: function() {
						plus.nativeUI.toast("数据错误");
						return;
					}
				});
			}, false);

			//拍照
			function getImages() {
				var mobileCamera = plus.camera.getCamera();
				mobileCamera.captureImage(function(e) {
					plus.io.resolveLocalFileSystemURL(e, function(entry) {
						var path = entry.toLocalURL() + '?version=' + new Date().getTime();
						uploadHeadImg(path);
					}, function(err) {
						console.log("读取拍照文件错误");
					});
				}, function(e) {
					console.log("er", err);
				}, function() {
					filename: '_doc/head.png';
				});
			}

			//从本地相册选择
			function galleryImages() {
				console.log("你选择了从相册选择");
				plus.gallery.pick(function(e) {
					uploadHeadImg(e);
					return false;
				}, function(e) {
					mui.toast("取消选择图片");
				}, {
					filter: "image",
					multiple: false
				});
			}

			//上传图片
			function uploadHeadImg(imgPath) {
				//选中图片之后，头像当前的照片变为选择的照片
				var mainImg = document.getElementById('userImg');
				mainImg.src = imgPath;
				//      console.log("portrait imgPath = " + imgPath)

				var images = new Image();
				images.src = imgPath;
				images.onload = function() {
					//          console.log(images.width + "|" + images.height);
					var imgData = getBase64Image(images);
					var token = app.commonParam();
					var account = plus.storage.getItem("user_account");

					token = token + account + "||";
					//          console.log(token);

					token = encrypt(token);
					//          console.log("upload img = " + apiUrl + "p-editportrait.html?token=" + token)
					//          console.log("portrait data = " + imgData)

					$('#photopath').attr('src', images.src);
					photoVal = imgData;
				}

			}

			//压缩图片转成base64
			function getBase64Image(img) {
				var canvas = document.createElement("canvas");
				var width = img.width;
				var height = img.height;
				//      console.log("portrait width = " + width + " -- height = " + height)
				if(width > height) {
					if(width > 200) {
						height = Math.round(height *= 200 / width);
						width = 200;
					}
				} else {
					if(height > 200) {
						width = Math.round(width *= 200 / height);
					}
					height = 200;
				}
				//      console.log(width + "|" + height);
				canvas.width = width;
				canvas.height = height;
				var ctx = canvas.getContext('2d');
				ctx.drawImage(img, 0, 0, width, height);
				var dataUrl = canvas.toDataURL("image/png");
				return dataUrl.replace('data:image/png;base64,', '');
			}

		});
	}
})