define(function(require, exports, module) {
    "use strict";
    //每一个页面都要引入的工具类
    var CommonTools = require('CommonTools_Core');
    //window操作
    var WindowTools = require('WindowTools_Core');
    //每一个页面都要引入的工具类
    // initready 要在所有变量初始化做完毕后
    CommonTools.initReady(initData);

    function initData(isPlus) {
        //设置竖屏

        CommonTools.lockOrientation(true);
        CommonTools.importFile([
            'js/libs/swiper.min.js'
        ], function() {
            initDefault()
        })
    }
})

function initDefault() {
    var webview_detail = null; //详情页webview
    var token = '';
    var appVersion = '';
    mui.init({
        swipeBack: false,
        gestureConfig: {
            doubletap: true //启用右滑关闭功能
        },
        pullRefresh: {
            container: '#pullrefresh',
            down: {
                style: 'circle',
                callback: function() {
                    setTimeout(function() {

                        getData()
                        mui('#pullrefresh').pullRefresh().endPulldown();
                        mui.toast("刷新成功~");
                    }, 1000);

                }
            }
        }
    });

    function getData() {
        mui.ajax({
            type: "post",
            url: apiUrl + "car-recommend.html",
            async: false,
            data: {
                token: token
            },
            dataType: "jsonp",
            success: function(myData) {
                myData = cryptFlag == 1 ? decrypt(myData) : myData;
                console.log('recommend------' + myData)
                myData = JSON.parse(myData);
                if(myData['code'] == 1) {
                    console.log("home recommond data = " + JSON.stringify(myData['data']['iconlist']))
                    var innerHtmlBanner = innerHtmlIcon = innerHtmlPhoto1 = innerHtmlCarList = innerHtmlPhoto2 = innerHtmlTeamBuy = '';
                    var html = tpl($('#index-tpl').html(), myData['data'])
                    $('.mui-content').html(html)
                    var banner = new Swiper('.banner .swiper-container', {
                        autoplay: 2000,
                        speed: 1500,
                        pagination: '.swiper-pagination'
                    })
                    var carMark = new Swiper('.car-mark .swiper-container', {
                        slidesPerView: '4.5',
                        freeMode: true
                    })
                    plus.nativeUI.closeWaiting();
                } else {
                    plus.nativeUI.toast(myData['msg']);
                }
            },
            error: function() {
                plus.nativeUI.toast("数据错误");
            }
        });
    }
    mui.plusReady(function() {
        //关闭启屏页
        plus.navigator.closeSplashscreen()
        //预加载详情页
        webview_detail = mui.preload({
            url: 'productinfo.html',
            id: 'productinfo.html'
        });
        plus.nativeUI.showWaiting("加载中...");
        var self = plus.webview.currentWebview();
        //获取推荐页面接口数据
        //cid||type||ts||nettype||clientip||deviceid||appver
        token = app.commonParam();
        appVersion = plus.storage.getItem("appVersion");

        token = token + appVersion;
        token = encrypt(token);

        console.log("home url = " + apiUrl + "car-recommend.html?token=" + token)

        getData();

       mui('body').on('tap', '#tmpPhoto1', function(e) {
            app.goWebUrl('photo1');
        });

        mui('body').on('tap', '#tmpPhoto2', function(e) {
            app.goWebUrl('photo2');
        });

        //icon点击
        mui('body').on('tap', '.icon_a', function(e) {
            var tmpID = this.getAttribute('data-id');

            var main = self.parent();
            //触发主页面的gohome事件
            mui.fire(main, 'gosearch');
            //          console.log("index iconid id = " + tmpID)
            mui.fire(plus.webview.getWebviewById('search.html'), 'get_search_type', {
                iidd: tmpID
            });
        });
    });
}