define(function(require, exports, module) {
    "use strict";
    //每一个页面都要引入的工具类
    var CommonTools = require('CommonTools_Core');
    //window操作
    var WindowTools = require('WindowTools_Core');
    //每一个页面都要引入的工具类
    // initready 要在所有变量初始化做完毕后
    CommonTools.initReady(initData);

    function initData(isPlus) {
        CommonTools.lockOrientation(true);
        CommonTools.importFile([
            'js/app/activate.js',
            'js/app/guide.js'
        ], function() {
            initDefault()
        })
    }

    function initDefault() {

        //mui初始化
        mui.init({
            swipeBack: false //启用右滑关闭功能
        });

        mui.plusReady(function() {
            var tmpCode = "";
            console.log("当前页面URL：" + plus.webview.currentWebview().getURL());

            //			var deviceID = app.getDeviceID();
            //			console.log("login deviceID = " + deviceID)

            var myHtml = plus.webview.getWebviewById('my');
            console.log("login myHtml = " + JSON.stringify(myHtml))

            var wvs = plus.webview.all();
            for(var i = 0; i < wvs.length; i++) {
                console.log('all webview ' + i + ': ' + wvs[i].getURL());
            }

            var accountBox = document.getElementById('account');
            var passwordBox = document.getElementById('password');
            var codeBox = document.getElementById('code');
            var autoLoginButton = document.getElementById("autoLogin");

            var loginButton = document.getElementById('btnLogin');
            var regButton = document.getElementById('btnRegister');
            var sendCodeButton = document.getElementById('sendCode');

            document.getElementById('tmpForgotPwd').addEventListener('tap', function() {
                app.goWebUrl('forgotpwd');
            }, false);
			$('input').keydown(function(event){
				if(event.keyCode == "13"){
					loginClick()
				}
				
			})
			loginButton.addEventListener('tap', function(event) {
               loginClick()
            }, false);
			function loginClick(){
				var reg = /^1\d{10}$/;
                var matrix = accountBox.value.match(reg);
                if(!matrix) {
                    plus.nativeUI.toast("请输入11位手机号");
                    return;
                }
                if(!passwordBox.value.trim() || passwordBox.value.length < 4 || passwordBox.value.length > 20) {
                    plus.nativeUI.toast("请输入4-20位密码");
                    return;
                }
                //				if(!tmpCode && plus.storage.getItem("sendCode")) {
                //					tmpCode = plus.storage.getItem("sendCode");
                //				}
                //				if(!codeBox.value.trim() || codeBox.value.length != 6) {
                //					plus.nativeUI.toast("请输入6位数字验证码");
                //					return;
                //				}
                //				if(tmpCode != codeBox.value.trim()) {
                //					plus.nativeUI.toast("验证码错误，请重新输入");
                //					return;
                //				}

                //cid||type||ts||nettype||clientip||deviceid||account||passwd||code||regtype||sourceflag
                var token = app.commonParam();
                //				token = token + accountBox.value + '||' + passwordBox.value + '||' + codeBox.value + '||1||2';
                token = token + accountBox.value + '||' + passwordBox.value + '||2';
                token = encrypt(token);
                console.log(apiUrl + "p-loginaccount.html?token=" + token)
                mui.ajax({
                    type: "post",
                    url: apiUrl + "p-loginaccount.html",
                    async: false,
                    data: {
                        token: token
                    },
                    dataType: "jsonp",
                    success: function(myData) {
                        myData = cryptFlag == 1 ? decrypt(myData) : myData;
                        myData = JSON.parse(myData);
                        if(myData['code'] == 1) {
                            plus.storage.setItem("user_account", myData['data']['account']);
                            plus.storage.setItem("user_nickname", myData['data']['nickname']);
                            plus.storage.setItem("portrait", myData['data']['portrait']);
                            plus.storage.setItem("userInfo", JSON.stringify(myData['data']));
                            console.log("login data = " + JSON.stringify(myData['data']))
                            plus.nativeUI.toast("登录成功");
							reloadWebView(['my.html', 'home.html', 'order.html', 'search.html']);
                            mui.back();

                            //                  app.goWebUrl('my');
                            //                  mui.openWindow({
                            //                      url: 'my.html',
                            //                      id: 'my',
                            //                      preload: true,
                            //                      show: {
                            //                          aniShow: 'pop-in'
                            //                      },
                            //                      styles: {
                            //                          popGesture: 'hide',
                            //                          top: '0px',
                            //                          bottom: '55px'
                            //                      },
                            //                      waiting: {
                            //                          autoShow: true
                            //                      }
                            //                  });
                        } else {
                            plus.nativeUI.toast(myData['msg']);
                            return;
                        }
                    },
                    error: function() {
                        plus.nativeUI.toast("数据错误");
                        return;
                    }
                });
			}
            

            //			sendCodeButton.addEventListener('tap', function(event) {
            //				//发送验证码接口数据
            //				var reg = /^1\d{10}$/;
            //				var matrix = accountBox.value.match(reg);
            //				console.log("phone matrix = " + matrix)
            //				if(!matrix) {
            //					plus.nativeUI.toast("请输入11位的手机号");
            //					return;
            //				}
            //
            //				var token = app.commonParam();
            //				token = token + 1 + '||' + accountBox.value;
            //				token = encrypt(token);
            //				console.log(apiUrl + "p-sendcode.html?token=" + token)
            //				mui.ajax({
            //					type: "post",
            //					url: apiUrl + "p-sendcode.html",
            //					async: false,
            //					data: {
            //						token: token
            //					},
            //					dataType: "jsonp",
            //					success: function(myData) {
            //						myData = cryptFlag == 1 ? decrypt(myData) : myData;
            //						myData = JSON.parse(myData);
            //						if(myData['code'] == 1) {
            //							tmpCode = myData['data']['code'];
            //							plus.storage.setItem("sendCode", myData['data']['code']);
            //							plus.storage.setItem("userInfo", myData['data']);
            //							console.log("sendcode code = " + myData['data']['code'] + " -- data1111 = " + JSON.stringify(myData['data']))
            //							plus.nativeUI.toast("验证码发送成功");
            //						} else {
            //							tmpCode = "";
            //							plus.nativeUI.toast(myData['msg']);
            //							return;
            //						}
            //					},
            //					error: function() {
            //						plus.nativeUI.toast("数据错误");
            //						return;
            //					}
            //				});
            //
            //			}, false);

            regButton.addEventListener('tap', function(event) {
                app.goWebUrl('reg');
            }, false);

        });
    }
})