define(function(require, exports, module) {
	"use strict";
	//每一个页面都要引入的工具类
	var CommonTools = require('CommonTools_Core');
	//window操作
	var WindowTools = require('WindowTools_Core');
	//每一个页面都要引入的工具类
	// initready 要在所有变量初始化做完毕后
	CommonTools.initReady(initData);

	function initData(isPlus) {
		CommonTools.lockOrientation(true);
		CommonTools.importFile([
			'js/app/activate.js',
			'js/app/guide.js'
		], function() {
			initDefault()
		})
	}

	function initDefault() {
		var token = '';

		//mui初始化
		mui.init({
			swipeBack: false, //启用右滑关闭功能
			pullRefresh: {
				container: '#pullrefresh',
				down: {
					style: 'circle',
					callback: function() {
						setTimeout(function() {

							getData()
							mui('#pullrefresh').pullRefresh().endPulldown();
							mui.toast("刷新成功~");
						}, 1000);

					}
				}
			}
		});

		function getData() {
			var username = plus.storage.getItem("user_account");
			console.log(444 + username)
			if(username) {
				var token = app.commonParam();
				token = token + username;
				console.log("token = " + token)
				token = token.trim();
				token = encrypt(token);
				console.log(apiUrl + "p-myinfo.html?token=" + token)

				mui.ajax({
					type: "post",
					url: apiUrl + "p-myinfo.html",
					async: true,
					data: {
						token: token
					},
					dataType: "jsonp",
					success: function(myData) {
						myData = decrypt(myData);
						var jsonData = JSON.parse(myData);
						console.log("jsonData = " + JSON.stringify(jsonData))
						if(jsonData['code'] == 1) {
							$("#tmpOrder1Num").html(jsonData['data']['order']['count1']);
							$("#tmpOrder2Num").html(jsonData['data']['order']['count2']);
							$("#tmpOrder4Num").html(jsonData['data']['order']['count4']);
							$('#myPortrait').attr('src',jsonData['data'].user.portrait)
						} else {
							plus.nativeUI.toast(jsonData['msg']);
						}
					},
					error: function() {
						plus.nativeUI.toast("数据错误");
					}
				});

				$(".username").html(username);
				document.getElementById('userImg').addEventListener('tap', function() {
					if(mui.os.plus) {
						var a = [{
							title: '拍照'
						}, {
							title: '从手机相册选择'
						}];
						plus.nativeUI.actionSheet({
							title: '修改头像',
							cancel: '取消',
							buttons: a
						}, function(b) {
							switch(b.index) {
								case 0:
									break;
								case 1:
									//拍照
									getImages();
									break;
								case 2:
									//打开相册
									galleryImages();
									break;
								default:
									break;
							}
						}, false);
					}
				});

			}
		}

		mui.plusReady(function() {
			console.log("当前页面URL：" + plus.webview.currentWebview().getURL());
			//设置竖屏
			plus.screen.lockOrientation("portrait-primary");
			var self = plus.webview.currentWebview();
			getData()
			var username = plus.storage.getItem("user_account");
			if(!username) {
				$("#btnLogin").html('点击登录');
				document.getElementById('btnLogin').addEventListener('tap', function() {
					app.goWebUrl('login');
				});
			} else {
				var portrait = plus.storage.getItem("portrait");
				if(portrait) {
					$(".avatar").attr('src', portrait);
				}
			}

			document.getElementById('tmpSet').addEventListener('tap', function() {
				app.goWebUrl('set');
			});

			//跳转至对于订单列表
			$('body').on('tap', '.goOrderList', function(e) {

				var activeIndex = $(this).attr('data-activeIndex');
				var main = self.parent();
				//触发主页面的gohome事件
				mui.fire(main, 'goorder');
				console.log("activeIndex = " + activeIndex)
				mui.fire(plus.webview.getWebviewById('order.html'), 'switchOrderList', {
					activeIndex: activeIndex
				});
				return false;
			})

			document.getElementById('tmpEditUser').addEventListener('tap', function() {
				if(app.checkUserLogin()) {
					app.goWebUrl('user');
				}
			});

			//          document.getElementById('tmpUploads').addEventListener('tap', function() {
			//              if(app.checkUserLogin()) {
			//                  app.goWebUrl('getsupplyfile');
			//              }
			//          });

			//          document.getElementById('tmpBank').addEventListener('tap', function() {
			//              app.goWebUrl('banklist');
			//          });

			document.getElementById("tmpContact").addEventListener('tap', function() {
				myCall(car_phone);
			});

			document.getElementById('tmpFeedback').addEventListener('tap', function() {
				if(app.checkUserLogin()) {
					app.goWebUrl('feedback');
				}
			});

			document.getElementById('tmpPurchase').addEventListener('tap', function() {
				app.goWebUrl('purchase');
			});

			document.getElementById('tmpAboutUs').addEventListener('tap', function() {
				app.goWebUrl('aboutus');
			});
			//          document.getElementById('tmpMessages').addEventListener('tap', function() {
			//              app.goWebUrl('messages');
			//          });

			//          document.getElementById('tmpCollection').addEventListener('tap', function() {
			//              app.goWebUrl('collections');
			//          });

			function myCall(number) {
				if(plus.os.name == "Android") {
					var btnArray = ['拨打', '取消'];
					mui.confirm('是否拨打 ' + number + ' ？', '提示', btnArray, function(e) {
						if(e.index == 0) {
							plus.device.dial(number, false);
						}
					});
					//                  var Intent = plus.android.importClass("android.content.Intent");
					//                  var Uri = plus.android.importClass("android.net.Uri");
					//                  var main = plus.android.runtimeMainActivity();
					//                  var uri = Uri.parse("tel:" + number);
					//                  var call = new Intent("android.intent.action.CALL", uri);
					//                  main.startActivity(call);
				} else {
					//plus.device.dial(number, false);
					var UIAPP = plus.ios.importClass("UIApplication");
					var NSURL = plus.ios.importClass("NSURL");
					var app = UIAPP.sharedApplication();
					app.openURL(NSURL.URLWithString("tel://" + number));
				}
			}
		});
		//拍照
		function getImages() {
			var mobileCamera = plus.camera.getCamera();
			mobileCamera.captureImage(function(e) {
				plus.io.resolveLocalFileSystemURL(e, function(entry) {
					var path = entry.toLocalURL() + '?version=' + new Date().getTime();
					uploadHeadImg(path);
				}, function(err) {
					console.log("读取拍照文件错误");
				});
			}, function(e) {
				console.log("er", err);
			}, function() {
				filename: '_doc/head.png';
			});
		}

		//从本地相册选择
		function galleryImages() {
			console.log("你选择了从相册选择");
			plus.gallery.pick(function(e) {
				uploadHeadImg(e);

				return false;
			}, function(e) {
				mui.toast("取消选择图片");
			}, {
				filter: "image",
				multiple: false
			});
		}

		//上传图片
		function uploadHeadImg(imgPath) {
			//选中图片之后，头像当前的照片变为选择的照片
			var mainImg = document.getElementById('userImg');
			mainImg.src = imgPath;
			console.log("portrait imgPath = " + imgPath)

			var images = new Image();
			images.src = imgPath;
			images.onload = function() {
				console.log(images.width + "|" + images.height);
				var imgData = getBase64Image(images);
				var token = app.commonParam();
				var account = plus.storage.getItem("user_account");

				token = token + account + "||";
				console.log(token);

				token = encrypt(token);
				console.log("upload img = " + apiUrl + "p-editportrait.html?token=" + token)
				console.log("portrait data = " + imgData)

				mui.ajax({
					type: "post",
					url: apiUrl + "p-editportrait.html",
					data: {
						token: token,
						portrait: imgData
					},
					dataType: "jsonp",
					success: function(myData) {
						myData = cryptFlag == 1 ? decrypt(myData) : myData;
						console.log(myData)
						var myData = JSON.parse(myData);
						if(myData['code'] == 1 && myData['data']['portrait']) {
							plus.storage.setItem('portrait', myData['data']['portrait']);
							$('.avatar').attr('src', myData['data']['portrait']);
							plus.nativeUI.toast('上传成功！');
						} else {
							plus.nativeUI.toast(myData['msg']);
						}
					},
					error: function(xhr, type, errorThrown) {
						if(type == 'timeout') {
							plus.nativeUI.toast('服务器连接超时，请稍后再试');
						}
					}
				});
			}

		}

		//压缩图片转成base64
		function getBase64Image(img) {
			var canvas = document.createElement("canvas");
			var width = img.width;
			var height = img.height;

			console.log("portrait width = " + width + " -- height = " + height)

			if(width > height) {
				if(width > 200) {
					height = Math.round(height *= 200 / width);
					width = 200;
				}
			} else {
				if(height > 200) {
					width = Math.round(width *= 200 / height);
				}
				height = 200;
			}
			console.log(width + "|" + height);
			canvas.width = width;
			canvas.height = height;
			var ctx = canvas.getContext('2d');
			ctx.drawImage(img, 0, 0, width, height);
			var dataUrl = canvas.toDataURL("image/png");
			return dataUrl.replace('data:image/png;base64,', '');
		}

	}

})