define(function(require, exports, module) {
	"use strict";
	//每一个页面都要引入的工具类
	var CommonTools = require('CommonTools_Core');
	//window操作
	var WindowTools = require('WindowTools_Core');
	//每一个页面都要引入的工具类
	// initready 要在所有变量初始化做完毕后
	CommonTools.initReady(initData);

	function initData(isPlus) {
		CommonTools.lockOrientation(true);
		CommonTools.importFile([
			'js/libs/swiper.min.js',
			'js/libs/scrollMore.js',
			'js/libs/tableSwitch.js'
		], function() {
			initDefault()
		})
	}

	function initDefault() {

		//mui初始化
		mui.init({
			swipeBack: false,
		});

		mui.plusReady(function() {
			console.log("当前页面URL：" + plus.webview.currentWebview().getURL());
			//设置竖屏
			plus.screen.lockOrientation("portrait-primary");
			//  app.checkUserLogin();
			
			//获取订单页面接口数据
			//cid||type||ts||nettype||clientip||deviceid||account||pagenum||page||orderstatus
			var $linkage_nav_slide = $('.linkage_nav_js').find('.swiper-slide');
			var pagenum = 6;
			var page = [];
			var switchs = [];
			for(var i = 0; i < $linkage_nav_slide.length; i++) {
				page.push(1)
				switchs.push(false)
			}

			var $orderlist_null = $('.orderlist_null');
			var $scrollMore = $('.scrollMore');
			var activeIndex = 0;

			var tableSwiper = new TableSwitch({
				initialSlide_main: activeIndex,
				slidesPerView: $linkage_nav_slide.length,
				onSlideChangeEnd: function(swiper) {
					activeIndex = swiper.activeIndex
					$(".orderlist").html('')
					switchs[activeIndex] = false;
					page = [1, 1, 1, 1];
					getData()
				}
			});
			//监听my页面跳转过来
			document.addEventListener('switchOrderList', function(event) {
				activeIndex = event.detail.activeIndex
				tableSwiper.linkage_main.slideTo(activeIndex, 300, false)
				$('.nav-btn').removeClass('nav_active').eq(activeIndex).addClass('nav_active');
				$(".orderlist").html('')
				switchs[activeIndex] = false;
				page = [1, 1, 1, 1,1];
				getData()
			})
			$scrollMore.each(function() {
				scrollMore($(this)[0], function() {
					getData()
				})
			})

			getData()
			
			function getData() {
				var account = plus.storage.getItem('user_account');
				// 订单页面接口:pagenum:每页条数;page:当前页数;orderstatus:0,全部;1,待支付;2,订车,3提车进度;4,已完成
				// recommend:cid||type||ts||nettype||clientip||deviceid||account||pagenum||page||orderstatus
				var token = app.commonParam();

				token = token + account + '||' + pagenum + '||' + page[activeIndex] + '||' + activeIndex;
				console.log("token = " + token)
				token = token.trim();
				token = encrypt(token);
				console.log(apiUrl + "car-order.html?token=" + token)
				if(switchs[activeIndex]) return;
				switchs[activeIndex] = true;
				$orderlist_null.eq(activeIndex).html('正在加载中...')
				mui.ajax({
					type: "post",
					url: apiUrl + "car-order.html",
					async: true,
					data: {
						token: token
					},
					dataType: "jsonp",
					success: function(myData) {
						myData = decrypt(myData);
						var jsonData = JSON.parse(myData);
						console.log("code = " + myData)
						if(jsonData['code'] == 1009){
								$orderlist_null.eq(activeIndex).html('请登陆后查看！')
						}
						if(jsonData['code'] == 1) {
							var html = tpl($('#order-tpl').html(), jsonData.data)
							$(".orderlist").eq(activeIndex).append(html);
							
							if(jsonData['data']['count'] == 0) {
								$orderlist_null.eq(activeIndex).html('暂无数据，或者登陆后查看')
							} else if(jsonData['data']['rows'].length < pagenum - 1) {
								console.log('-----------------------------------------' + jsonData['data']['count']);
								$orderlist_null.eq(activeIndex).html('全部加载完成！')
								//								mui('#pullrefresh').pullRefresh().endPullupToRefresh(true);
							} else {
								//								mui('#pullrefresh').pullRefresh().endPullupToRefresh();
								page[activeIndex]++;
								switchs[activeIndex] = false;
							}

						} else {
							//plus.nativeUI.toast(jsonData['msg']);
						}
					},
					error: function() {
						plus.nativeUI.toast("数据错误");
					}
				});
			}
			//添加列表项的点击事件
			mui('.orderlist').on('tap', 'a', function(e) {
				var tmpOrderID = this.getAttribute('data-orderid');
				var tmpID = this.getAttribute('data-id');
				console.log("1111 order id = " + tmpOrderID + " -- tmpID = " + tmpID)
				app.goWebUrl('orderinfo', tmpOrderID)
			});

		});

		/**
		 * 下拉刷新具体业务实现
		 */
		function pulldownRefresh() {
			setTimeout(function() {
				var table = document.body.querySelector('.mui-table-view');
				var cells = document.body.querySelectorAll('.mui-table-view-cell');
				for(var i = cells.length, len = i + 3; i < len; i++) {
					var li = document.createElement('li');
					li.className = 'mui-table-view-cell';
					li.innerHTML = '<a class="mui-navigate-right">Item ' + (i + 1) + '</a>';
					//下拉刷新，新纪录插到最前面；
					table.insertBefore(li, table.firstChild);
				}
				mui('#pullrefresh').pullRefresh().endPulldownToRefresh(); //refresh completed
				mui.toast('下拉刷新成功');
			}, 1000);
		}
		var count = 0;
		/**
		 * 上拉加载具体业务实现
		 */
		function pullupRefresh() {
			setTimeout(function() {
				mui('#pullrefresh').pullRefresh().endPullupToRefresh((++count > 2)); //参数为true代表没有更多数据了。
				var table = document.body.querySelector('.mui-table-view');
				var cells = document.body.querySelectorAll('.mui-table-view-cell');
				for(var i = cells.length, len = i + 20; i < len; i++) {
					var li = document.createElement('li');
					li.className = 'mui-table-view-cell';
					li.innerHTML = '<a class="mui-navigate-right">Item ' + (i + 1) + '</a>';
					table.appendChild(li);
				}
			}, 1000);
		}
	}
})