define(function(require, exports, module) {
    "use strict";
    //每一个页面都要引入的工具类
    var CommonTools = require('CommonTools_Core');
    //window操作
    var WindowTools = require('WindowTools_Core');
    //每一个页面都要引入的工具类
    // initready 要在所有变量初始化做完毕后
    CommonTools.initReady(initData);

    function initData(isPlus) {
        CommonTools.lockOrientation(true);
        CommonTools.importFile([
            'js/libs/mui.zoom.js',
            'js/libs/mui.previewimage.js',
            'js/libs/swiper.min.js'
        ], function() {
            initDefault()
        })
    }

    function initDefault() {
        //mui初始化
        mui.init({
            swipeBack: false,
        });

        mui.previewImage();

        mui.plusReady(function() {
            console.log("当前页面URL：" + plus.webview.currentWebview().getURL());

            var carid = null; //汽车id

            document.getElementById("tmpContact").addEventListener('tap', function() {
                myCall(car_phone);
            });

            document.addEventListener('get_detail', function(event) {

                carid = event.detail.iidd;

                if(!carid) {
                    plus.nativeUI.toast('数据错误');
                    mui.back()
                    return;
                }

                //获取汽车详情页面接口数据
                //cid||type||ts||nettype||clientip||deviceid||id
                var orderid = '';
                var token = app.commonParam();
                token = token + carid;
                token = encrypt(token);
                console.log(apiUrl + "car-info.html?token=" + token)

                mui.ajax({
                    type: "post",
                    url: apiUrl + "car-info.html",
                    async: false,
                    data: {
                        token: token
                    },
                    dataType: "jsonp",
                    success: function(myData) {
                        myData = cryptFlag == 1 ? decrypt(myData) : myData;
                        myData = JSON.parse(myData);
                        console.log("myData = " + JSON.stringify(myData))
                        if(myData['code'] == 1) {
                            var product_banner = '';
                            var product_photo = '';

                            $("#product_carname").html(myData['data']['rows'][0]['carname']);
                            product_photo = '<img class="w100" src="' + myData['data']['rows'][0]['coverimage'] + '" data-preview-src="" data-preview-group="2">';
                            if(myData['data']['rows'][0]['photopath']) {
                                var tmpPhoto = myData['data']['rows'][0]['photopath'];
                                var tmpPhotos = tmpPhoto.split(",");
                                var tmpPhotoLength = tmpPhotos.length;
                                for(var i = 0; i < tmpPhotoLength; i++) {
                                    product_photo += '<img class="w100" src="' + tmpPhotos[i] + '" data-preview-src="" data-preview-group="2">';
                                }
                                console.log("product_photo = " + product_photo)
                            }
                            $(".product_photo").empty().append(product_photo);

                            $("#carbrand").html(myData['data']['rows'][0]['carbrand'])
                            $("#cartype").html(myData['data']['rows'][0]['cartype'])
                            $("#carstyle").html(myData['data']['rows'][0]['carstyle'])
                            $("#purchasetax").html(myData['data']['rows'][0]['purchasetax'])
                            $("#insurance").html(myData['data']['rows'][0]['insurance'])
                            $("#servicefee").html(myData['data']['rows'][0]['servicefee'])
                            $("#carcardfee").html(myData['data']['rows'][0]['carcardfee'])
                            $("#nakedfee").html(myData['data']['rows'][0]['nakedfee'])
                            $("#guidancefee").html(myData['data']['rows'][0]['guidancefee'])
                            $("#memo").html(myData['data']['rows'][0]['memo'])
                            
                            $("#price").html(plus.storage.getItem('user_account') ? myData['data']['rows'][0]['price'] : '登录后显示')
                            
                            animate()

                        } else {
                            plus.nativeUI.toast(myData['msg']);
                            return;
                        }
                    },
                    error: function() {
                        plus.nativeUI.toast("数据错误");
                        return;
                    }
                });
            })
            //重写返回逻辑
            mui.back = function() {
                plus.webview.currentWebview().hide("auto", 300);
            }
            var self = plus.webview.currentWebview();
            self.addEventListener("hide", function(e) {
                window.scrollTo(0, 0);
            }, false);
            document.getElementById('btnBuy').addEventListener('tap', function() {
                app.checkUserLogin();
                console.log("btnBuy product carid = " + carid)
                plus.storage.setItem("orderID", '');
                //下单 buyflag:1,团购;2,秒杀;3,普通
                //cid||type||ts||nettype||clientip||deviceid||account||carid||buyflag||agentAccount
                var buyflag = 3;
                var token = app.commonParam();
                token = token + plus.storage.getItem("user_account") + '||' + carid + '||' + buyflag + '||' + agentAccount;
                token = encrypt(token);
                console.log(apiUrl + "car-preorder.html?token=" + token)

                mui.ajax({
                    type: "post",
                    url: apiUrl + "car-preorder.html",
                    async: false,
                    data: {
                        token: token
                    },
                    dataType: "jsonp",
                    success: function(myData) {
                        myData = cryptFlag == 1 ? decrypt(myData) : myData;
                        myData = JSON.parse(myData);
                        if(myData['code'] == 1) {
                            plus.nativeUI.toast("下单成功");
                            plus.storage.setItem("orderID", myData['data']['rows'][0]['orderid']);
                            app.goWebUrl('productpay', carid);
                        } else {
                            plus.nativeUI.toast(myData['msg']);
                            return;
                        }
                    },
                    error: function() {
                        plus.nativeUI.toast("数据错误");
                        return;
                    }
                });
            }, false);

        });

    }
})

function myCall(number) {
    if(plus.os.name == "Android") {
        var btnArray = ['拨打', '取消'];
        mui.confirm('是否拨打 ' + number + ' ？', '提示', btnArray, function(e) {
            if(e.index == 0) {
                plus.device.dial(number, false);
            }
        });
    } else {
        var UIAPP = plus.ios.importClass("UIApplication");
        var NSURL = plus.ios.importClass("NSURL");
        var app = UIAPP.sharedApplication();
        app.openURL(NSURL.URLWithString("tel://" + number));
    }
}

function animate() {

    var banner = new Swiper('.banner .swiper-container', {
        autoplay: 2000,
        speed: 1500,
        pagination: '.swiper-pagination'
    })
    //属性选择
    var $mask = $('.mask'),
        $selectAttrBtn = $('.select-attr-btn'),
        $selectAttrBox = $('.select-attr-box'),
        $selectAttrClose = $('.select-attr-close');

    $selectAttrBtn.click(function() {
        $selectAttrBox.addClass('active');
        $mask.addClass('active')
        console.log(1111)
    })
    $selectAttrClose.click(function() {
        $selectAttrBox.removeClass('active');
        $mask.removeClass('active')
    })
    $mask.click(function() {
        $selectAttrBox.removeClass('active');
        $mask.removeClass('active')
    })

    //参团
    var $imgTextDetail = $('.img-text-detail');
    var $imgTextDetailMask = $('.img-text-detail .mask');
    var $btnOffer = $('.btn-offer');
    $btnOffer.click(function() {
        $imgTextDetailMask.addClass('active');
        $imgTextDetail.addClass('active');
    })
    $imgTextDetailMask.click(function() {
        $imgTextDetailMask.removeClass('active');
        $imgTextDetail.removeClass('active');
    })
    //$imgTextDetailMask.class('zIndex',998)
    var imgTextDetail = new Swiper('.img-text-detail .swiper-container', {
        //	freeMode:false,
        speed: 500,

        slidesPerView: 1,
        onSlideNextEnd: function(swiper) {
            var index = swiper.activeIndex
            imgTextDetail.slideTo(index, 1000, false);
            $imgTextDetail.find('li:lt(' + ++index + ')').addClass('active-style').removeClass('active')
            $imgTextDetail.find('li:gt(' + --index + ')').removeClass('active-style')
            $imgTextDetail.find('li').eq(index).addClass('active')
        },
        onSlidePrevEnd: function(swiper) {
            var index = swiper.activeIndex
            imgTextDetail.slideTo(index, 1000, false);
            $imgTextDetail.find('li:lt(' + ++index + ')').addClass('active-style').removeClass('active')
            $imgTextDetail.find('li:gt(' + --index + ')').removeClass('active-style')
            $imgTextDetail.find('li').eq(index).addClass('active')
        }
    })
    $('.swiper-button-prev').click(function() {
        imgTextDetail.slidePrev();
    })
    $('.swiper-button-next').click(function() {
        imgTextDetail.slideNext();
    })
    $imgTextDetail.find('li').click(function() {
        var $this = $(this);
        var index = $this.index()
        imgTextDetail.slideTo(index, 1000, false);
        $imgTextDetail.find('li:lt(' + ++index + ')').addClass('active-style').removeClass('active')
        $imgTextDetail.find('li:gt(' + --index + ')').removeClass('active-style')
        $this.addClass('active')
    })
}