define(function(require, exports, module) {
    "use strict";
    //每一个页面都要引入的工具类
    var CommonTools = require('CommonTools_Core');
    //window操作
    var WindowTools = require('WindowTools_Core');
    //每一个页面都要引入的工具类
    // initready 要在所有变量初始化做完毕后
    CommonTools.initReady(initData);

    function initData(isPlus) {
        CommonTools.lockOrientation(true);
        CommonTools.importFile([], function() {
            initDefault()
        })
    }

    function initDefault() {

        //mui初始化
        mui.init({
            swipeBack: true //启用右滑关闭功能
        });

        mui.plusReady(function() {
            var tmpCode = "";
            console.log("当前页面URL：" + plus.webview.currentWebview().getURL());
            //设置竖屏
            plus.screen.lockOrientation("portrait-primary");

            var deviceID = app.getDeviceID();
            console.log("reg deviceID = " + deviceID)

            var accountBox = document.getElementById('account');
            var passwordBox = document.getElementById('password');
            var passwordBox2 = document.getElementById('password2');
            var codeBox = document.getElementById('code');
            var autoLoginButton = document.getElementById("autoLogin");

            var regButton = document.getElementById('btnReg');
            var sendCodeButton = document.getElementById('sendCode');

            var mainPage = mui.preload({
                "id": 'index',
                "url": 'index.html'
            });
            var main_loaded_flag = false;
            mainPage.addEventListener("loaded", function() {
                main_loaded_flag = true;
            });

            regButton.addEventListener('tap', function(event) {
                var reg = /^1\d{10}$/;
                var matrix = accountBox.value.match(reg);
                if(!matrix) {
                    plus.nativeUI.toast("请输入11位手机号");
                    return;
                }
                if(!passwordBox.value.trim() || passwordBox.value.length < 4 || passwordBox.value.length > 20) {
                    plus.nativeUI.toast("请输入4-20位密码");
                    return;
                }
                if(!passwordBox2.value.trim() || passwordBox2.value.length < 4 || passwordBox2.value.length > 20) {
                    plus.nativeUI.toast("请输入4-20位确认密码");
                    return;
                }
                if(passwordBox.value.trim() != passwordBox2.value.trim()) {
                    plus.nativeUI.toast("二次密码不一致");
                    return;
                }

                if(!tmpCode && plus.storage.getItem("sendCode")) {
                    tmpCode = plus.storage.getItem("sendCode");
                }
                if(!codeBox.value.trim() || codeBox.value.length != 6) {
                    plus.nativeUI.toast("请输入6位数字验证码");
                    return;
                }
                if(tmpCode != codeBox.value.trim()) {
                    plus.nativeUI.toast("验证码错误，请重新输入");
                    return;
                }

                //cid||type||ts||nettype||clientip||deviceid||regtype||account||passwd||code||sourceflag||agentAccount
                var token = app.commonParam();
                token = token + '1||' + accountBox.value + '||' + passwordBox.value + '||' + codeBox.value + '||2||' + agentAccount;
                token = encrypt(token);
                console.log(apiUrl + "p-register.html?token=" + token)

                mui.ajax({
                    type: "post",
                    url: apiUrl + "p-register.html",
                    async: false,
                    data: {
                        token: token
                    },
                    dataType: "jsonp",
                    success: function(myData) {
                        myData = cryptFlag == 1 ? decrypt(myData) : myData;
                        myData = JSON.parse(myData);
                        if(myData['code'] == 1) {
                            plus.storage.setItem("user_account", myData['data']['account']);
                            plus.storage.setItem("user_nickname", myData['data']['nickname']);
                            console.log("login data = " + JSON.stringify(myData['data']))
                            plus.nativeUI.toast("注册成功");
                            plus.webview.close('login.html')
                            reloadWebView(['my.html', 'home.html']);
                            mui.back();
                        } else {
                            plus.nativeUI.toast(myData['msg']);
                            return;
                        }
                    },
                    error: function() {
                        plus.nativeUI.toast("数据错误");
                        return;
                    }
                });
            });

            sendCodeButton.addEventListener('tap', function(event) {
                //发送验证码接口数据
                var reg = /^1\d{10}$/;
                var matrix = accountBox.value.match(reg);
                console.log("phone matrix = " + matrix)
                if(!matrix) {
                    plus.nativeUI.toast("请输入11位的手机号");
                    return;
                }

                var token = app.commonParam();
                token = token + 1 + '||' + accountBox.value;
                token = encrypt(token);
                console.log(apiUrl + "p-sendcode.html?token=" + token)
                mui.ajax({
                    type: "post",
                    url: apiUrl + "p-sendcode.html",
                    async: false,
                    data: {
                        token: token
                    },
                    dataType: "jsonp",
                    success: function(myData) {
                        myData = cryptFlag == 1 ? decrypt(myData) : myData;
                        myData = JSON.parse(myData);
                        if(myData['code'] == 1) {
                            tmpCode = myData['data']['code'];
                            plus.storage.setItem("sendCode", myData['data']['code']);
                            console.log("sendcode code = " + myData['data']['code'] + " -- data1111 = " + JSON.stringify(myData['data']))
                            plus.nativeUI.toast("验证码发送成功");
                        } else {
                            tmpCode = "";
                            plus.nativeUI.toast(myData['msg']);
                            return;
                        }
                    },
                    error: function() {
                        plus.nativeUI.toast("数据错误");
                        return;
                    }
                });

            }, false);

        });
    }

})