define(function(require, exports, module) {
    "use strict";
    //每一个页面都要引入的工具类
    var CommonTools = require('CommonTools_Core');
    //window操作
    var WindowTools = require('WindowTools_Core');
    //每一个页面都要引入的工具类
    // initready 要在所有变量初始化做完毕后
    CommonTools.initReady(initData);

    function initData(isPlus) {
        CommonTools.lockOrientation(true);
        CommonTools.importFile([], function() {
            initDefault()
        })
    }

    function initDefault() {
        //mui初始化
        mui.init({});

        mui.plusReady(function() {
            //设置竖屏
            plus.screen.lockOrientation("portrait-primary");
            app.checkUserLogin();
            var photoVal1 = "";
            var photoVal2 = "";
            var photoVal3 = "";

            document.getElementById('userImg1').addEventListener('tap', function() {
                checkPhotoPath(1);
            }, false);

            document.getElementById('userImg2').addEventListener('tap', function() {
                checkPhotoPath(2);
            }, false);

            document.getElementById('userImg3').addEventListener('tap', function() {
                checkPhotoPath(3);
            }, false);

            document.getElementById('btnSubmit').addEventListener('tap', function() {
                //cid||type||ts||nettype||clientip||deviceid||account||sourceflag
                var token = app.commonParam();
                token = token + plus.storage.getItem("user_account") + '||2';
                token = encrypt(token);
                console.log(apiUrl + "p-supplyfile.html?token=" + token)

                mui.ajax({
                    type: "post",
                    url: apiUrl + "p-supplyfile.html",
                    async: false,
                    data: {
                        token: token,
                        photopath1: photoVal1,
                        photopath2: photoVal2,
                        photopath3: photoVal3
                    },
                    dataType: "jsonp",
                    success: function(myData) {
                        myData = cryptFlag == 1 ? decrypt(myData) : myData;
                        myData = JSON.parse(myData);
                        if(myData['code'] == 1) {
                            plus.nativeUI.toast("提交成功");
                            plus.webview.close('supplyfile.html')
                            plus.webview.close('productinfo.html')
                            plus.webview.close('productpay.html')
                            var LaunchWebview = plus.webview.getLaunchWebview();
                            mui.fire(LaunchWebview, 'goorder');

                        } else {
                            plus.nativeUI.toast(myData['msg']);
                            return;
                        }
                    },
                    error: function() {
                        plus.nativeUI.toast("数据错误");
                        return;
                    }
                });
            }, false);

            function checkPhotoPath(imgNum) {
                if(mui.os.plus) {
                    var a = [{
                        title: '拍照'
                    }, {
                        title: '从手机相册选择'
                    }];
                    plus.nativeUI.actionSheet({
                        title: '上传文件',
                        cancel: '取消',
                        buttons: a
                    }, function(b) {
                        switch(b.index) {
                            case 0:
                                break;
                            case 1:
                                //拍照
                                getImages(imgNum);
                                break;
                            case 2:
                                //打开相册
                                galleryImages(imgNum);
                                break;
                            default:
                                break;
                        }
                    }, false);
                }
            }

            //拍照
            function getImages(imgNum) {
                var mobileCamera = plus.camera.getCamera();
                mobileCamera.captureImage(function(e) {
                    plus.io.resolveLocalFileSystemURL(e, function(entry) {
                        var path = entry.toLocalURL() + '?version=' + new Date().getTime();
                        uploadHeadImg(path, imgNum);
                    }, function(err) {
                        console.log("读取拍照文件错误");
                    });
                }, function(e) {
                    console.log("er", err);
                }, function() {
                    filename: '_doc/head.png';
                });
            }

            //从本地相册选择
            function galleryImages(imgNum) {
                console.log("你选择了从相册选择");
                plus.gallery.pick(function(e) {
                    uploadHeadImg(e, imgNum);
                    return false;
                }, function(e) {
                    mui.toast("取消选择图片");
                }, {
                    filter: "image",
                    multiple: false
                });
            }

            //上传图片
            function uploadHeadImg(imgPath, imgNum) {
                //选中图片之后，头像当前的照片变为选择的照片
                if(imgPath) {
                    var mainImg = document.getElementById('userImg' + imgNum);
                    mainImg.src = imgPath;
                    //      console.log("portrait imgPath = " + imgPath)

                    var images = new Image();
                    images.src = imgPath;
                    images.onload = function() {
                        var imgData = getBase64Image(images);
                        $('#photopath' + imgNum).attr('src', images.src);
                        if(imgNum == 1) {
                            photoVal1 = imgData;
                        }
                        if(imgNum == 2) {
                            photoVal2 = imgData;
                        }
                        if(imgNum == 3) {
                            photoVal3 = imgData;
                        }
                    }
                }
            }

            //压缩图片转成base64
            function getBase64Image(img) {
                var canvas = document.createElement("canvas");
                var width = img.width;
                var height = img.height;
                //      console.log("portrait width = " + width + " -- height = " + height)
                //      console.log(width + "|" + height);
                
                canvas.width = parseInt(width / 2);
                canvas.height = parseInt(height / 2);
                
                var ctx = canvas.getContext('2d');
                ctx.drawImage(img, 0, 0, width, height);
                var dataUrl = canvas.toDataURL("image/png");
                return dataUrl.replace('data:image/png;base64,', '');
            }
        });
    }
})