define(function(require, exports, module) {
	"use strict";
	//每一个页面都要引入的工具类
	var CommonTools = require('CommonTools_Core');
	//window操作
	var WindowTools = require('WindowTools_Core');
	//每一个页面都要引入的工具类
	// initready 要在所有变量初始化做完毕后
	CommonTools.initReady(initData);

	function initData(isPlus) {
		CommonTools.lockOrientation(true);
		CommonTools.importFile([
			'js/app/activate.js',
			'js/app/guide.js'
		], function() {
			initDefault()
		})
	}

	function initDefault() {

		//mui初始化
		mui.init();

		//创建子页面，首个选项卡页面显示，其它均隐藏；
		mui.plusReady(function() {
			//设置竖屏
			plus.screen.lockOrientation("portrait-primary");

			//激活设备
			activate.deviceInfo();
			//引导页
			guide.launchScreen();

			//, 'orderinfo.html'
			var subpages = ['home.html', 'search.html', 'order.html', 'my.html'];
			var subpage_style = {
				top: '0px',
				bottom: '51px',
				//      background: '#ff5000'
			};
			var aniShow = {};

			var self = plus.webview.currentWebview();
			createWebview(0)

			function createWebview(i) {
				for(var i = 0; i < subpages.length; i++) {

					var temp = {};
					var sub = plus.webview.create(subpages[i], subpages[i], subpage_style);
					if(i > 0) {
						sub.hide();
					} else {
						temp[subpages[i]] = "true";
						mui.extend(aniShow, temp);
					}
					self.append(sub);
				}
			}

			//当前激活选项
			var activeTab = subpages[0];
//			plus.webview.show(activeTab, false, 300);

			//选项卡点击事件
			mui('#footer').on('tap', 'a', function(e) {
				var targetTab = this.getAttribute('href');

				if(targetTab == activeTab) {
					return;
				}
				var $this = $(this);
				var index = $this.index() + 1;
				$this.siblings('.active').find('img.active').hide().siblings('img.default').show()
				$this.addClass('active').siblings('.active').removeClass('active');
				$this.find('img.active').show().siblings('img.default').hide();


				//更换标题
				//              title.innerHTML = this.querySelector('.mui-tab-label').innerHTML;
				//显示目标选项卡
				//若为iOS平台或非首次显示，则直接显示
				//     
				if(mui.os.ios || aniShow[targetTab]) {
					plus.webview.show(targetTab);
				} else {
					//否则，使用fade-in动画，且保存变量
					var temp = {};
					temp[targetTab] = "true";
					mui.extend(aniShow, temp);
//					createWebview($this.index())
					plus.webview.show(targetTab, 'fade-in', 300);
				}

				//隐藏当前;
				plus.webview.hide(activeTab);
				//更改当前活跃的选项卡
				activeTab = targetTab;
			});
			//隐藏当前;
			//  plus.webview.hide(activeTab);
			//更改当前活跃的选项卡

			//自定义事件，模拟点击“首页选项卡”
			document.addEventListener('gosearch', function() {
				
				var defaultTab = $('.search')[0];
				//模拟首页点击
				mui.trigger(defaultTab, 'tap');
				
			});
			document.addEventListener('goorder', function() {
				
				var defaultTab = $('.order')[0];
				//模拟首页点击
				mui.trigger(defaultTab, 'tap');
				
			});
			document.addEventListener('gomy', function() {
                var defaultTab = $('.my')[0];
                //模拟首页点击
                mui.trigger(defaultTab, 'tap');
                
            });

		});
	}

})