var TableSwitch = function(params) {
	var _this = this;

	var defaults = {
		linkage_nav: '.linkage_nav_js',
		linkage_main: '.linkage_main_js',
		nav_active: 'nav_active',
		slidesPerView: 4,
		initialSlide_main: 0,
		onSlideChangeEnd: function() {},
		onlyExternal_main: false,
		touchAngle:15,
		resistanceRatio:0
	}

	var params = params || {};
	for(var prop in defaults) {
		if(prop in params && typeof params[prop] === 'object') {
			for(var subProp in defaults[prop]) {
				if(!(subProp in params[prop])) {
					params[prop][subProp] = defaults[prop][subProp];
				}
			}
		} else if(!(prop in params)) {
			params[prop] = defaults[prop];
		}
	}
	_this.params = params;

	_this.init = function() {
		_this.nav_swiper();
		_this.main_swiper();
	}
	$(params.linkage_nav + ' .swiper-slide').eq(params.initialSlide_main).addClass(params.nav_active);

	_this.nav_swiper = function() {
		_this.linkage_nav = new Swiper(params.linkage_nav, {
//			initialSlide:params.initialSlide_main,
			watchSlidesProgress: true,
			watchSlidesVisibility: true,
			slidesPerView: params.slidesPerView,
			freeMode: true,
			//	prevButton: '.swiper-button-prev',
			//	nextButton: '.swiper-button-next',
			onTap: function() {
				_this.linkage_main.slideTo(_this.linkage_nav.clickedIndex)
			}
		})
	}

	_this.main_swiper = function() {
		_this.linkage_main = new Swiper(params.linkage_main, {
			initialSlide: params.initialSlide_main,
			//				effect : 'fade',
			//touchRatio:0.1,
			touchAngle: _this.touchAngle,
			preloadImages: false,
			freeMode: false,
			lazyLoading: true,
			onlyExternal: _this.params.onlyExternal_main,
			onSlideChangeStart: function() {
				_this.updateNavPosition()
			},
			onSlideChangeEnd: function(swiper) {
				_this.params.onSlideChangeEnd(swiper);

				//						var height = $('.table_main .swiper-slide-active').css('height');
				//								$('.table_main').height(height)
				//						$('body').height(height)

				//					console.log(height)

				//				document.body.scrollTop = document.documentElement.scrollTop = 0;

				//					$('.table_main').css('height',$('.table_main .swiper-wrapper ').height())

			},
			autoHeight: true,
		})
	}

	_this.updateNavPosition = function() {
		if(!_this.linkage_main) return; //初始化initialSlide时禁止切换
		$(params.linkage_nav + ' .' + params.nav_active).removeClass(params.nav_active)
		var activeNav = $(params.linkage_nav + ' .swiper-slide').eq(_this.linkage_main.activeIndex).addClass(params.nav_active);
		if(!activeNav.hasClass('swiper-slide-visible')) {
			_this.linkage_nav.slideTo(activeNav.index())
		}
	}
	_this.init();
}
